-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-- Written by Kimberly L. Tripp, SQLskills.com
-- All Rights Reserved.
-- 
-- For more scripts, sample code and additional training resources,
-- go to http://www.SQLskills.com
--	Immerse yourself in SQL Server
--
-- Disclaimer - Thoroughly test this script, execute at your own risk.
-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

SELECT e.Lastname, e.City
FROM Northwind.dbo.Employees AS e
WHERE e.Country = 'USA'

SELECT e.Lastname, e.City
FROM Northwind.dbo.Employees AS e
WHERE e.EmployeeID > 'USA'

SELECT a.au_lname AS [Last Name]
	, a.au_fname AS [First Name]
FROM pubs.dbo.authors AS a
WHERE a.au_lname LIKE 'M%'
-- WHERE a.au_lname LIKE '[S-Z]%'
-- WHERE a.au_lname LIKE '[CK]ars_n'
-- WHERE a.au_lname LIKE 'M[^c]%'

SELECT so.[Name]
FROM master.dbo.sysobjects AS so
WHERE so.[Name] LIKE 'sp_%'		
-- WHERE so.[Name] LIKE 'sp[_]%'		
-- WHERE so.[Name] LIKE 'sp#_%' ESCAPE '#'

SELECT p.ProductName, p.UnitPrice
FROM Northwind.dbo.Products AS p
WHERE p.UnitPrice BETWEEN 10 AND 20
ORDER BY p.UnitPrice

SELECT s.CompanyName, s.Country
FROM Northwind.dbo.Suppliers AS s
WHERE s.Country IN ('Japan', 'Italy', 'Germany')

SELECT s.CompanyName, s.Country
FROM Northwind.dbo.Suppliers AS s
WHERE s.Country NOT IN ('Japan', 'Italy', 'Germany')

SELECT s.CompanyName, s.Country
FROM Northwind.dbo.Suppliers AS s
WHERE s.Country IN ('Japan', 'Italy', 'Germany') 
	OR s.Country LIKE 'S%' 

SELECT t.title, t.price
FROM pubs.dbo.titles AS t
WHERE t.price IS NULL

SELECT t.title, t.price
FROM pubs.dbo.titles AS t
WHERE t.price IS NOT NULL

SELECT t.title, ISNULL(t.price, 0)
FROM pubs.dbo.titles AS t

SELECT getdate() + 1
SELECT dateadd(yy, 3, getdate())
SELECT datediff(yy, '20000914', '20040101')

SELECT AVG(t.price) FROM pubs.dbo.titles AS t
SELECT COUNT(t.price) FROM pubs.dbo.titles AS t
SELECT COUNT(*) FROM pubs.dbo.titles AS t

SELECT CONVERT(char(10), getdate(), 102) AS [yyyy.mm.dd]